<?php
/**
 * Template part for the output of [nflc] shortcode
 *
 * You can override this template by
 * copying the file to /wp-content/your_theme/nflc_templates/default.php
 *
 * @package Nutrition_Facts_Label_Creator
 * @since 1.0.0
 * @version 1.2.0
 */
		
	/** Start Nutrition table output */
	printf( '<div class="nflc nutrition-section%s%s">',
		$display_style !== 'classic' ? ' ' . esc_attr( $display_style ) : '',
		$xclass ? ' ' . esc_attr( $xclass ) : ''
	);
		$old_post = false;
		if ( get_the_modified_date( 'Y-m-d' ) < '2019-04-01' ) {
			$old_post = 'true';
		}
	?>
	
		<ul class="nutrition-table" itemprop="nutrition" itemscope itemtype="http://schema.org/NutritionInformation">
			<?php

			if ( '' !== $nutri_heading ) {
				echo '<li class="nt-header b-0"><h2 class="nt-title">' . esc_html( $nutri_heading ) . '</h2></li>';
			}

			if ( '' !== $serving_per_cont ) {
				printf( '<li class="nt-row b-0"><span class="nt-label col-%s">%s</span><span class="nt-value col-%s" itemprop="servingSize">%s</span></li>',						
					'std' == $display_style ? '50' : ( $show_dv ? '80' : '70' ),
					__( 'Servings Per Container', 'nflc' ),
					'std' == $display_style ? '50' : ( $show_dv ? '20' : '30' ),	
					esc_attr( $serving_per_cont )
				);

			}			

			if ( '' !== $serving_size ) {
				printf( '<li class="nt-row sep-10 serving-size"><span class="nt-label col-%s">%s</span><span class="nt-value col-%s" itemprop="servingSize">%s</span></li>',
					'std' == $display_style ? '50' : ( $show_dv ? '80' : '70' ),
					__( 'Serving Size', 'nflc' ),
					'std' == $display_style ? '50' : ( $show_dv ? '20' : '30' ),						
					esc_attr( $serving_size )
				);

			}

			printf( '<li class="nt-row font-bold b-0"><span class="nt-label">%s</span></li>',
				__( 'Amount per serving', 'nflc' )
			);

			printf( '<li class="nt-row font-bold calories sep-8"><span class="nt-label col-%s">%s</span><span class="nt-value col-%s" itemprop="servingSize">%s</span></li>',
				$show_dv ? '80' : '70',
				__( 'Calories', 'nflc' ),
				$show_dv ? '20' : '30',	
				number_format_i18n( (int)$calories )
			);

			if ( $show_dv ) {
				printf( '<li class="nt-row nt-head font-bold sep-4"><span class="nt-label nutrient-label col-40">%s</span><span class="nt-label amount-label col-20">%s</span><span class="nt-label sdv-label col-20">%s</span><span class="pdv-label col-20">%s</span></li>',
					'',
					'',
					__( 'Standard DV', 'nflc' ),
					__( '% Daily Value*', 'nflc' )
				);
			}
			else {
				printf( '<li class="nt-head font-bold sep-4"><span class="nt-label nutrient-label col-40">%s</span><span class="nt-label amount-label col-30">%s</span><span class="pdv-label col-30">%s</span></li>',
					'',
					'',
					__( '% Daily Value*', 'nflc' )
				);				
			}

			foreach( $nutrition_facts as $nf ) {

				if ( isset( ${ $nf['id'] } ) && '' !== ${ $nf['id'] } ) {
					if ( ! empty( $nf['sv'] ) ) {
						if ( 'vitamin_d' == $nf['id'] && $old_post ) {
							${ $nf['id'] } = (float)${ $nf['id'] } * 15/400;
						}

						if ( 'vitamin_e' == $nf['id'] && $old_post ) {
							${ $nf['id'] } = (float)${ $nf['id'] } * 15/30;
						}

						$dv = round( (float)${ $nf['id'] } * 100 / $nf['sv'], 2 );
					}
					if ( $show_dv ) {
						$format = '<li%1$s><span class="nt-label col-40%2$s">%3$s</span><span class="nt-amount col-20"%4$s>%5$s</span>%6$s%7$s</li>';
					}						
					else {
						$format = '<li%1$s><span class="nt-label col-40%2$s">%3$s</span><span class="nt-amount col-30"%4$s>%5$s</span>%7$s</li>';
					}

					printf( $format,
						$nf['liclass'] ? ' class="' . esc_attr( $nf['liclass'] ) . '"' : '',
						$nf['labelclass'] ? ' ' . esc_attr( $nf['labelclass']  ) : '',
						esc_attr( $nf['label'] ),
						$nf['schema']  ?  ' itemprop="' . esc_attr( $nf['schema'] ) . '"' : '',
						${ $nf['id'] } . ' ' . $nf['unit'],
						! empty( $nf['sv'] ) ? sprintf( '<span class="nt-sdv col-20">%s</span>', $nf['sv'] . ' ' . $nf['unit'] ) : '',
						! empty( $nf['sv'] ) ? sprintf( '<span class="nt-value col-%s">%s</span>',
							$show_dv ? '20' : '30',
							(int)$dv <= 100 ? $dv . '%' : '<b>' . $dv . '%</b>'
						) : ''
					);
				}
			}
			
			// Custom Nutrients
			$cust_nutrients = vc_param_group_parse_atts( $custom_nutrients );

			if ( isset( $cust_nutrients ) && is_array( $cust_nutrients ) ) {
				foreach( $cust_nutrients as $cn ) {
	
					if ( isset( $cn['name'] ) && '' !== $cn['name'] ) {
						if ( ! empty( $cn['sv'] ) ) {
							$dv = round( (float)$cn['amt'] * 100 / $cn['sv'], 2 );
						}
						
						if ( $show_dv ) {
							$format = '<li%1$s><span class="nt-label col-40%2$s">%3$s</span><span class="nt-amount col-20">%4$s</span>%5$s%6$s</li>';
						}						
						
						else {
							$format = '<li%1$s><span class="nt-label col-40%2$s">%3$s</span><span class="nt-amount col-30">%4$s</span>%6$s</li>';
						}
	
						printf( $format,
							$cn['level'] !== '0' ? ' class="nt-sublevel-' . esc_attr( $cn['level'] ) . '"' : '',
							isset( $cn['text_style'] ) && 'bold' == $cn['text_style'] ? ' font-bold' : '',
							esc_attr( $cn['name'] ),
							$cn['amt'] . ' ' . $cn['unit'],
							! empty( $cn['sv'] ) ? sprintf( '<span class="nt-sdv col-20">%s</span>', $cn['sv'] . ' ' . $cn['unit'] ) : '',
							! empty( $cn['sv'] ) ? sprintf( '<span class="nt-value col-%s">%s</span>',
								$show_dv ? '20' : '30',
								(int)$dv <= 100 ? $dv . '%' : '<b>' . $dv . '%</b>'
							) : ''
						);
					}
				}
			}

			if ( '' !== $extra_notes ) {
				if ( $old_post ) {
					$extra_notes = apply_filters( 'nflc_extra_notes', __( '* The % Daily Value (DV) tells you how much a nutrient in
a serving of food contributes to a daily diet. 2,000 calories
a day is used for general nutrition advice.', 'nflc' ) );
				}
				printf( '<li class="nt-footer b-0">%s</li>', $extra_notes );
			}
		
		?>
		</ul><!-- /.nutrition-table -->
	</div><!-- /.nutrition-section -->